RUSERS(1)

NAME
rusers - who is logged in to machines on local network

SYNOPSIS
rusers [-al] [-h | -i | -u] [hosts ...]

DESCRIPTION
The rusers command produces output similar to who(1), but for the list of hosts or all machines on the local network. For each host responding to the rusers query, the hostname with the names of the users currently logged on is printed on each line. The rusers command will wait for 30 seconds to catch late responders.

The options are as follows:

-a  Print all machines responding even if no one is currently logged in.

-h  Sort alphabetically by hostname.

-i  Sort by idle time in ascending order. Unlike other implementations, when the -i and -l flags are mixed the output is sorted by the idle time of each individual user. If the -l flag is not specified, the idle time for a machine is considered to be the lowest idle time of a user on that host.

-l  Print a long format listing. This includes the user name, host name, tty that the user is logged in to, the date and time the user logged in, the amount of time since the user typed on the keyboard, and the remote host they logged in from (if applicable).

-u  Sort by number of users logged in.

DIAGNOSTICS

rusers: RPC: Program not registered
    The rpc.rusersd(8) daemon has not been started on the remote host.

rusers: RPC: Timed out
    A communication error occurred. Either the network is excessively congested, or the rpc.rusersd(8) daemon has terminated on the remote host.

rusers: RPC: Port mapper failure - RPC: Timed out
    The remote host is not running the portmapper (see portmap(8)), and cannot accommodate any RPC-based services. The host may be down.

SEE ALSO
users(1), who(1), portmap(8), rpc.rusersd(8)

HISTORY
The rusers command appeared in SunOS.